r349 - in x86/trunk: . doc scripts uname

jhuntwork at linuxfromscratch.org jhuntwork at linuxfromscratch.org
Tue Jul 12 20:36:46 PDT 2005


Author: jhuntwork
Date: 2005-07-12 21:36:45 -0600 (Tue, 12 Jul 2005)
New Revision: 349

Removed:
   x86/trunk/TODO
   x86/trunk/scripts/mkiso
   x86/trunk/uname/Makefile.old
   x86/trunk/uname/uname_i486.c
Modified:
   x86/trunk/doc/README
   x86/trunk/scripts/ll
   x86/trunk/scripts/unpack
Log:
Several changes to trunk, fix typo, update unpack script, removed old items

Deleted: x86/trunk/TODO
===================================================================
--- x86/trunk/TODO	2005-07-12 20:08:27 UTC (rev 348)
+++ x86/trunk/TODO	2005-07-13 03:36:45 UTC (rev 349)
@@ -1,13 +0,0 @@
-NOTE: Items marked with a single star can wait for any time.
-      Items marked with a double star should be done before release.
-
-* Package up kernel source and upload to mirrors (will do this after we release, along with branching and tagging in the repo)
-** i18n READMEs 
-** nALFS profile
-** New shutdown scripts to handle unmounts of drives, stopping of services, if they were started, etc.
-** Background for xfce
-** Add some Greek TrueType fonts.
-* Remove Bitstream Vera
-* Fonts is xterm *slightly* too big? Any harm in reducing size by a point or two?
-* Get the changes to the bootscripts installation changed upstream so that all we need is a make install-livecd again.
-* Upgrade the scripts to be more fluid, understandable, ie, use of functions (unpack seems to work well, would now like to improve downloading, allow for better use of previously downloaded sources as kept in one local directory and incorporate a logging system) 

Modified: x86/trunk/doc/README
===================================================================
--- x86/trunk/doc/README	2005-07-12 20:08:27 UTC (rev 348)
+++ x86/trunk/doc/README	2005-07-13 03:36:45 UTC (rev 349)
@@ -71,7 +71,7 @@
 
 When you are finished, run startx.
 
-NOTE: The default Window Manager is xfce which is intutive and graphically
+NOTE: The default Window Manager is xfce which is intuitive and graphically
 pleasing. If you prefer something more minimal, edit the file ~/.xinitrc to
 read 'exec ion' or 'exec twm'.
 


Property changes on: x86/trunk/scripts/ll
___________________________________________________________________
Name: svn:executable
   + *

Deleted: x86/trunk/scripts/mkiso
===================================================================
--- x86/trunk/scripts/mkiso	2005-07-12 20:08:27 UTC (rev 348)
+++ x86/trunk/scripts/mkiso	2005-07-13 03:36:45 UTC (rev 349)
@@ -1,2 +0,0 @@
-#!/bin/sh
-/tools/bin/mkisofs -R -l -L -D -o lfs-livecd-20050126.iso -b boot/isolinux/isolinux.bin -c boot/boot.catalog -no-emul-boot -boot-load-size 4 -boot-info-table -V "LFS_CD" ./

Modified: x86/trunk/scripts/unpack
===================================================================
--- x86/trunk/scripts/unpack	2005-07-12 20:08:27 UTC (rev 348)
+++ x86/trunk/scripts/unpack	2005-07-13 03:36:45 UTC (rev 349)
@@ -4,7 +4,7 @@
 VRS=`$TAR --version | head -n 1 | awk '{print $4}' | cut -f2 -d'.'`
 
 if [ -z $1 ] ; then
-	echo "Error: No file specified."
+	echo "Usage: unpack [file] [extra tar parameters]"
 	exit 1
 fi
 
@@ -17,14 +17,14 @@
 			  # compression type.
 
 	if echo $1 | grep -q "tar.gz" || echo $1 | grep -q ".tgz" ; then
-		$TAR -xzf $1 || echo "Error: Unpacking of \"$1\" failed."
+		$TAR -xzf "$@" || echo "Error: Unpacking of \"$1\" failed."
 	elif echo $1 | grep -q "tar.bz2" ; then
-		$TAR -xjf $1 || echo "Error: Unpacking of \"$1\" failed."
+		$TAR -xjf "$@" || echo "Error: Unpacking of \"$1\" failed."
 	elif [ `expr "$1" : '.*\(...\)'` = "tar" ] ; then
-		$TAR -xf $1 || echo "Error: Unpacking of \"$1\" failed."
+		$TAR -xf "$@" || echo "Error: Unpacking of \"$1\" failed."
 	else
 		echo "Error: Bad format or unknown compression type"
 	fi
 else
-	$TAR -xf $1 || echo "Error: Unpacking of \"$1\" failed."
+	$TAR -xf "$@" || echo "Error: Unpacking of \"$1\" failed."
 fi

Deleted: x86/trunk/uname/Makefile.old
===================================================================
--- x86/trunk/uname/Makefile.old	2005-07-12 20:08:27 UTC (rev 348)
+++ x86/trunk/uname/Makefile.old	2005-07-13 03:36:45 UTC (rev 349)
@@ -1 +0,0 @@
-obj-m += uname_i486.o

Deleted: x86/trunk/uname/uname_i486.c
===================================================================
--- x86/trunk/uname/uname_i486.c	2005-07-12 20:08:27 UTC (rev 348)
+++ x86/trunk/uname/uname_i486.c	2005-07-13 03:36:45 UTC (rev 349)
@@ -1,56 +0,0 @@
-  /*
-	This simple piece of code simply turns your ix86 into a i586 -
-	useful if you're cross-compiling for a weaker platform.
-
-	Based on the program contained in the cross compiling hint by
-	Daniel Baumann <danielbaumann at linuxmail.org>
-	
-	Originally Updated to 2.6.x series kernel by Roel Neefs.
-
-	Updated to work with the 2.6.x series kernel driver standards
-	by Jim Gifford.
-
-	You will need to create a small Makefile for this module to 
-	work.
-
-	cat > Makefile << "EOF"
-	obj-m += uname_i586.o
-	EOF
-
-	To compile as a module use the following command:
-
-	make -C /usr/src/linux-{version} SUBDIRS=$PWD modules
-
-	You can change the UNAME_DUMB_STEPPING variable to get the following
-	results
-
-	2 = 286		3 = 386		4 = 486		5 = 586		6 = 686
-	
-  */
-  
-  #include <linux/module.h>
-  #include <linux/config.h>
-  #include <linux/init.h>
-  #include <linux/utsname.h>
-
-  #ifndef UNAME_DUMB_STEPPING
-  	#define UNAME_DUMB_STEPPING '4';
-  #endif
-
-  static int save;
-
-  static int __init uname_hack_init_module( void )
-  	{
-  		save = system_utsname.machine[1];
-		system_utsname.machine[1] = UNAME_DUMB_STEPPING;
-		return( 0 );
-	}
-
-  static void __exit uname_hack_cleanup_module( void )
-  	{
-  		system_utsname.machine[1] = save;
-	}
-
- module_init(uname_hack_init_module);
- module_exit(uname_hack_cleanup_module);
-




More information about the livecd mailing list